DeleteSuppressedDestination method
Deletes an address from the custom suppression list. The cloud is determined based on the service account the request originates from.
Request
DELETE /v2/email/suppression/addresses/{EmailAddress} HTTP/2
Path parameters
|
Parameter |
Description |
|
|
Type: String. Recipient's address you need to delete from the suppression list. Use percent encoding, e.g., |
Request headers
Use common request headers in your requests.
Responses
200 OK
A successful request returns 200 OK in the response.
If the specified address is not on the suppression list, the request completes successfully too.
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request gives an empty or invalid address. |
|
|
Not enough permissions to execute the request. |
|
|
The request quota was exceeded. |